Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest
Class MessageServiceManager

    java.lang.Object
      org.hornetq.rest.MessageServiceManager

    public class MessageServiceManager

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected java.lang.String` | `configResourcePath`
`protected boolean` | `configSet`
`protected MessageServiceConfiguration` | `configuration`
`protected QueueServiceManager` | `queueManager`
`protected org.hornetq.spi.core.naming.BindingRegistry` | `registry`
`protected java.util.concurrent.ExecutorService` | `threadPool`
`protected TimeoutTask` | `timeoutTask`
`protected int` | `timeoutTaskInterval`
`protected TopicServiceManager` | `topicManager`

Constructor Summary
`MessageServiceManager()`

Method Summary
`java.lang.String` | `getConfigResourcePath()`
`MessageServiceConfiguration` | `getConfiguration()`
`QueueServiceManager` | `getQueueManager()`
`org.hornetq.spi.core.naming.BindingRegistry` | `getRegistry()`
`java.util.concurrent.ExecutorService` | `getThreadPool()`
`int` | `getTimeoutTaskInterval()`
`TopicServiceManager` | `getTopicManager()`
`void` | `setConfigResourcePath(java.lang.String configResourcePath)`
`void` | `setConfiguration(MessageServiceConfiguration configuration)`
`void` | `setRegistry(org.hornetq.spi.core.naming.BindingRegistry registry)`
`void` | `setThreadPool(java.util.concurrent.ExecutorService threadPool)`
`void` | `setTimeoutTaskInterval(int timeoutTaskInterval)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### threadPool

    protected java.util.concurrent.ExecutorService threadPool

### queueManager

    protected QueueServiceManager queueManager

### topicManager

    protected TopicServiceManager topicManager

### timeoutTask

    protected TimeoutTask timeoutTask

### timeoutTaskInterval

    protected int timeoutTaskInterval

### configuration

    protected MessageServiceConfiguration configuration

### configSet

    protected boolean configSet

### configResourcePath

    protected java.lang.String configResourcePath

### registry

    protected org.hornetq.spi.core.naming.BindingRegistry registry

Constructor Detail

### MessageServiceManager

    public MessageServiceManager()

Method Detail

### getRegistry

    public org.hornetq.spi.core.naming.BindingRegistry getRegistry()

### setRegistry

    public void setRegistry(org.hornetq.spi.core.naming.BindingRegistry registry)

### getTimeoutTaskInterval

    public int getTimeoutTaskInterval()

### setTimeoutTaskInterval

    public void setTimeoutTaskInterval(int timeoutTaskInterval)

### getThreadPool

    public java.util.concurrent.ExecutorService getThreadPool()

### setThreadPool

    public void setThreadPool(java.util.concurrent.ExecutorService threadPool)

### getQueueManager

    public QueueServiceManager getQueueManager()

### getTopicManager

    public TopicServiceManager getTopicManager()

### getConfiguration

    public MessageServiceConfiguration getConfiguration()

### getConfigResourcePath

    public java.lang.String getConfigResourcePath()

### setConfigResourcePath

    public void setConfigResourcePath(java.lang.String configResourcePath)

### setConfiguration

    public void setConfiguration(MessageServiceConfiguration configuration)

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.